<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本: 1.2
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情
\* 功能: 后台系统-模版处理程式
\* ===========================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 技术论坛: http://ctb.11cn.org
\* 创建日期: 2002/7/10
\* 修改日期: ------
\* 修改说明: ------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/

//=============================================================================
class Module extends CommonClass
//系统管理模块子类
{
    function execute() {
        switch($this->input['action']) {
            case 'showTpl':
                $this->showTpl();
                break;
            case 'addTpl':
                $this->addTpl();
                break;
            case 'editTpl':
                $this->editTpl();
                break;
            case 'delTpl':
                $this->delTpl();
                break;
			//
        }	
    } // end func

//-----------------------------------------------------------------------------
//---后台一些处理模块
//1---显示所有的模版:showTpl()
//2---
//3---
//4---
//5---
//6---
//-----------------------------------------------------------------------------
//1=============================================================================
//显示所有模版
function showTpl()
{
	$this->file = "../".$this->set[dataPath]."/templates.php";
    $templateLine = $this->openfile();
	for( $i = 0; $i < count($templateLine); $i++) {
	    $num=$i+1;
	    $templateDir=$templateLine[$i][1];
	    $templateName=$templateLine[$i][2];
		// 
        if ($this->set['tplMode'] == $templateDir){
            $templateMode = "<img src=\"./templates/images/template_new.gif\">";
		}else{
            $templateMode = "<img src=\"./templates/images/template_old.gif\">";
		}
		if (!file_exists("../".$this->set['tplRoot']."/".$templateDir)){
			 $templateMode = "<img src=\"./templates/images/template_no.gif\">";
		}
		//
	    eval ("\$grade_body .= \"".$this->getTemplate("systemTplBody")."\";");
	}
    eval("\$this->outPut(\"".$this->getTemplate("systemTpl")."\");");
} // end func

//2=============================================================================
//添加新的模版
function addTpl()
{   
    $this->inputCheck("main.php?mod=systemtpl&action=showTpl");

	$this->file = "../".$this->set[dataPath]."/templates.php";
    $newTpl = array(stripslashes($this->code),$this->input['templateDir'],$this->input['templateName'],"");
	$this->add_line($newTpl);
    $this->adminShowMsg("main.php?mod=systemtpl&action=showTpl","您已经成功添加了新的模版");
} // end func

//3=============================================================================
//修改模版设置
function editTpl()
{   
    //简单格式化输入数据
    $this->inputCheck("main.php?mod=systemtpl&action=showTpl");
	//
	$this->file = "../".$this->set[dataPath]."/templates.php";
    $newTpl=array(stripslashes($this->code),$this->input['templateDir'],$this->input['templateName'],"");
	$this->update2("1",$this->input['templateDir'],$newTpl);
    $this->adminShowMsg("main.php?mod=systemtpl&action=showTpl","您已经成功修改了这个模版");
} // end func

//4=============================================================================
//删除一个模版
function delTpl()
{   
	$this->file = "../".$this->set[dataPath]."/templates.php";
	$this->delete2("1",$this->input['templateDir']);
    $this->adminShowMsg("main.php?mod=systemtpl&action=showTpl","您已经成功删除了这个模版");
} // end func
//=============================================================================
} //end class
